<?php

use Illuminate\Support\Facades\DB;

$all_active_db_keys = array_filter(array_keys(config('database.connections')), function ($connection) {
    try {
        DB::connection($connection)->getPdo();
        return true;
    } catch (\Throwable $th) {
        return false;
    }
});

$non_cawangan_database = ['lelong', config('tennant_database.master_db'), config('tennant_database.kaunter_db')];

$all_cawangan_db = array_filter($all_active_db_keys, function($db_key) use($non_cawangan_database){
    $isNotCawangan = in_array(config('database.connections.' . $db_key . '.database'), $non_cawangan_database);

    if($isNotCawangan){
        return false;
    }

    return true;
});

return $all_cawangan_db;
